const { Model } = require('flitter-orm')

class ServiceProviderModel extends Model {
    static get schema() {
        return {
            name: String,
            entity_id: String,
            acs_url: String,
            active: { type: Boolean, default: true },
            slo_url: String,
        }
    }

    to_api() {
        return {
            id: this.id,
            name: this.name,
            entity_id: this.entity_id,
            acs_url: this.acs_url,
            slo_url: this.slo_url,
        }
    }
}

module.exports = exports = ServiceProviderModel
