const message_routes = {
    prefix: '/api/v1/message',

    middleware: [
        'auth:UserOnly',
    ],

    get: {
        '/banners': ['controller::api:v1:Message.get_banners'],
    },

    post: {
        '/banners/read/:banner_id': ['controller::api:v1:Message.read_banner'],
    },
}

module.exports = exports = message_routes
