import CRUDBase from '../CRUDBase.js'

class UserResource extends CRUDBase {
    endpoint = '/api/v1/auth/users'
    required_fields = ['uid', 'first_name', 'last_name', 'email', 'password']

    item = 'User'
    plural = 'Users'
}

const auth_user = new UserResource()
export { auth_user }
