const profile_routes = {
    prefix: '/api/v1/profile',

    middleware: [
        'auth:UserOnly',
    ],

    get: {
        '/:user_id': [ // user_id | 'me'
            'controller::api:v1:Profile.fetch',
        ],
    },

    patch: {
        '/:user_id': [ // user_id | 'me'
            'controller::api:v1:Profile.update',
        ],
    },
}

module.exports = exports = profile_routes
